libnvme(2)

NAME
enum nvme_st_valid_diag_info - Valid Diagnostic Information

SYNOPSIS
enum nvme_st_valid_diag_info {
NVME_ST_VALID_DIAG_INFO_NSID ,
NVME_ST_VALID_DIAG_INFO_FLBA ,
NVME_ST_VALID_DIAG_INFO_SCT ,
NVME_ST_VALID_DIAG_INFO_SC

};

Constants

NVME_ST_VALID_DIAG_INFO_NSID
    NSID Valid: if set, then the contents of the Namespace Identifier field are valid.

NVME_ST_VALID_DIAG_INFO_FLBA
    FLBA Valid: if set, then the contents of the Failing LBA field are valid.

NVME_ST_VALID_DIAG_INFO_SCT
    SCT Valid: if set, then the contents of the Status Code Type field are valid.

NVME_ST_VALID_DIAG_INFO_SC
    SC Valid: if set, then the contents of the Status Code field are valid.